import java.util.HashMap;
public class Menjacnica
{
    private String ime, adresa;
    private KursnaLista kursnaLista;
    public HashMap<String, Double> trezor;
    
    public Menjacnica(String ime, String adresa){
        this.ime = ime; this.adresa = adresa;
        kursnaLista = new KursnaLista();
        trezor = new HashMap<>();
    }
    
    public Menjacnica napuni(String valuta, double iznos){
        trezor.put(valuta, iznos);
        return this;
    }
    
    public Menjacnica azurirajKL(String valuta, double kupovni, double prodajni, double srednji){
        kursnaLista.azuriraj(valuta, kupovni, prodajni, srednji);
        return this;
    }
    
    public void info(){
        System.out.println(ime + ", " + adresa);
        System.out.println("-----------------");
        kursnaLista.info();
        pare();
    }
    
    public void pare(){
        System.out.println("-----------------");
        for(String valuta : trezor.keySet()){
            System.out.println(valuta + ": " + trezor.get(valuta));
        }
    }
    
    public static void test(){
        Menjacnica lav = new Menjacnica("Lav", "Pozeska 30, BGD");
        lav.azurirajKL("usd", 95, 98, 97.5).azurirajKL("eur", 117, 118, 117.5); 
        lav.napuni("rsd", 1000000).napuni("usd", 50000).napuni("eur", 50000);
        lav.info();
        System.out.println();
        lav.kupiDevize("eur", 1000);
        System.out.println();
        lav.pare();
        
        
    }
    
    public void kupiDevize(String valuta, double iznosDin){
        Kurs k = kursnaLista.kurs(valuta);
        if(k == null){
            System.out.println("Ne drzimo " + valuta);
        } else {
            double zaDavanje = iznosDin / k.kupovni();
            if(trezor.get(valuta) >= zaDavanje){
                System.out.println(valuta + ": " + zaDavanje);
                trezor.put(valuta, trezor.get(valuta) - zaDavanje);
                trezor.put("rsd", trezor.get("rsd") + iznosDin);
            }
         }
    }
    
}
